Bug 506266 - No sound Lenovo T61
No sound Lenovo T61
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 09:51 EDT by Grant Williamson
Modified: 2010-06-28 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info of t61 (23.50 KB, text/plain)
2009-06-16 09:51 EDT, Grant Williamson
no flags Details
patch for alsa-utils hda file for t61 to resolve issue (489 bytes, application/octet-stream)
2009-06-18 07:57 EDT, Grant Williamson
no flags Details

  None (edit)
Description Grant Williamson 2009-06-16 09:51:14 EDT
Created attachment 348112 [details]
alsa-info of t61

Description of problem:
Install Fedora 11, no sound even though sound is configured, sound is not muted, just nothing can be played.


running  alsamixer -D hw:1 and trying to set all levels to high makes no change.
Comment 1 Grant Williamson 2009-06-16 09:51:42 EDT
alsaplay -l shows

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 2 Grant Williamson 2009-06-16 11:48:36 EDT
running alsamixer or gst-mixer I can enable the speaker.
However this should be in my mind enabled by default(dare I say it works in ubuntu). Or there should be an option to enable the speaker in the volume applet.
Comment 3 Patrick Laughton 2009-06-16 13:05:17 EDT
I don't think alsa-oss is the right place for this bug.
Comment 4 Grant Williamson 2009-06-18 07:56:09 EDT
Moving to alsa-utils
Comment 5 Grant Williamson 2009-06-18 07:57:04 EDT
Created attachment 348419 [details]
patch for alsa-utils hda file for t61 to resolve issue
Comment 6 Grant Williamson 2009-06-18 07:58:03 EDT
The patch attached resolves the issue.
To test patch /usr/share/alsa/init/hda
Run alsaunmute to reconfigure settings, sound should work correctly now.
Comment 7 Jaroslav Kysela 2009-06-18 09:24:04 EDT
I added this rule to the ALSA development tree:

http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff;h=67888854051291be8503e6e48086c9a3318fd631
Comment 8 Grant Williamson 2009-06-18 13:20:59 EDT
Would this go out as a fedora 11 update, or would I need to wait till fedora 12?
Comment 9 Bug Zapper 2010-04-27 10:58:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 09:03:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.